
 LinHES - Bug # 223: PCSpeaker module interfearing with hda_intel

Status: Closed Priority: Normal
Author: mihanson Category:
Created: 02/25/2009 Assignee: jams
Updated: 12/25/2011 Due date: 12/31/1969
Description: The snd_pcsp sometimes overrides hda_intel and gets inserted as the default ALSA sound device.  Can we 

set up a blacklist for it?

<code>[mihanson@mythbox-rfe-1 ~]$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: pcsp [pcsp], device 0: pcspeaker [pcsp]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: NVidia [HDA NVidia], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

[root@mythbox-rfe-1 ~]# lsmod | grep pcsp
snd_pcsp               11048  0 
snd_pcm                70020  3 snd_pcm_oss,snd_pcsp,snd_hda_intel
snd                    50852  10 
snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcsp,snd_hda_intel,snd_pcm,snd
_timer,snd_hwdep
</code>

History
02/26/2009 04:05 pm - mihanson
I have added module snd-pcsp to the MODULES parameter of /etc/rc.conf (MODULES=(!snd-pcsp)) and so far so good.  I'd like to give it more time 
since the problem was intermittent.  FWIW, I had discussed in IRC a problem with another FE (rfe-2) where sporadicly the sound would not work.  I 
believe the snd-pcsp module was to blame there as well.  I had the problem on rfe-2 again this morning and noticed an error reference to the pc 
speaker on std error.  I've blacklisted the snd-pcsp on all my FE's now as a precaution.

03/03/2009 12:53 am - mihanson
Blacklisting in /etc/rc.conf's MOD_BLACKLIST= does not work on at least one of my FE's (geode).  It has to be blacklisted in MODULES= as !snd-pcsp

03/11/2009 05:58 pm - mihanson
Since blacklisting in MODULES=(!snd-pcsp) things have been solid as a rock.  It's been 2 weeks now and I think this solves the problem.

12/25/2011 03:05 pm - jams
- Target version changed from 7.2 to 6.00.04
